/*
 *    Copyright 2010 The myBatis Team
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 */
package org.mybatis.guice;

import org.mybatis.guice.iterables.Each;

import com.google.inject.Binder;

/**
 * 
 *
 * @version $Id: AbstractBinderEach.java 3249 2010-11-21 16:52:33Z simone.tripodi $
 */
abstract class AbstractBinderEach<T> implements Each<T> {

    private final Binder binder;

    public AbstractBinderEach(final Binder binder) {
        this.binder = binder;
    }

    protected Binder getBinder() {
        return this.binder;
    }

}
