/*
 *    Copyright 2010 The myBatis Team
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 */
package org.mybatis.guice.iterables;

/**
 * 
 *
 * @param <T>
 * @version $Id: Each.java 3251 2010-11-21 17:07:21Z simone.tripodi $
 */
public interface Each<T> {

    /**
     * Event called when iterating over an {@literal Iterable<T>} to catch the i-th element.
     *
     * @param t the i-th element when iterating over the {@literal Iterable<T>}.
     */
    void doHandle(T t);

}
